@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600;700&display=swap");

:root{
    --primary-color:#002855;
    --primary-color-dark:#1C4172;
    --cta:#0466c8;

    --text-dark:#0c0a09;
    --text-light:#78716c;
    --text-lighter:#B4B4B3;
    --white: #ffffff;
    --max-width:1200px;
}
* {
    padding:0;
    margin:0;
    box-sizing: border-box;
}

.section__container {
    max-width:var(--max-width);
    margin: auto;
    padding:5rem 1rem;
}


.section__subheader{
    margin-bottom:.5rem;
    position: relative;
    font-weight: 500;
    letter-spacing: 2px;
    color: var(--text-dark);
}

.section__subheader::after {
    position: absolute;
    content: "";
    top: 50%;
    transform: translate(1rem, -50%);
    height: 2px;
    width: 4rem;
    background-color: var(--primary-color);
}

.section__header{
    max-width: 600px;
    margin-bottom: 1rem;
    font-size: 2.5rem;
    font-weight: 600;
    line-height: 3rem;
    color: var(--text-dark);
}

.section__description {
    max-width: 600px;
    margin-bottom: 1rem;
    color: var(--text-light);
}

.btn{
    outline: none;
    padding: .75rem 1.5rem;
    font-size: 1rem;
    border: none;
    font-weight: 500;
    color: var(--white);
    background-color: #2d2d2e;
    border-radius: 5px;
    cursor: pointer;
    transition: 0.3s;
}

.btn:hover {
    background-color: var(--primary-color-dark);
}

img{
    width: 100%;
    display: flex;
}

a {
    text-decoration: none;
}

.logo{
    max-width: 120px;
    height: 70px;
}
html,
body {
    scroll-behavior: smooth;
}


body {
    font-family: "Poppins", sans-serif;
    height: 100vh;
    background-color: #fff;
}

.header{
    background-image: linear-gradient(to bottom, rgba(0, 0, 0, 0.6), rgba(0, 0, 0, 0)), url("./background-img/ibrahim-boran-m8YjB0noWiY-unsplash.jpg");  
    background-position: center center;
    background-size: cover;
    background-repeat: no-repeat;
}

nav {
    position: fixed;
    isolation: isolate;
    top: 0;
    width: 100%;
    max-width: var(--max-width);
    margin: auto;
    z-index: 9;
}

.nav__bar{
    padding: 1rem;
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 2rem;
    background-color:  rgb(23, 23, 23);
     z-index: 10; 
}

.nav__menu__btn {
    font-size: 1.5rem;
    color: var(--white);
    cursor: pointer;
}

.nav__links {
    list-style: none;
    position: absolute;
    width: 100%;
    padding: 2rem;
    display: flex;
    align-items: center;
    flex-direction: column;
    gap: 2rem;
    background-color: #2d2d2e;
    transform: translateY(-100%);
    transition: 0.5s;
    z-index: -1;
}

.nav__links.open {
    transform: translateY(0);
}

.nav__links a{
    position: relative;
    isolation: isolate;
    padding-bottom: 8px;
    color: var(--white);
    transition: 0.3s;
}

.nav__btn {
    display: none;
}

.header__container {
    padding-block: 10rem 15rem;
}

.header__container p {
    margin-bottom: 1rem;
    font-size: 1.2rem;
    color: var(--white);
    text-align: center;
    opacity: 0.6;
}

.header__container h1 {
    font-size: 4rem;
    font-weight: 500;
    line-height: 4.5rem;
    color: var(--white);
    text-align: center;
}

.header__container h1 span {
    color: var(--cta);
}

.booking__container {
    padding-block: 0;
}

.booking__form{
    padding: 2rem;
    display: flex;
    gap: 1rem;
    align-items: center;
    flex-wrap: wrap;
    background-color: var(--white);
    border-radius: 10px;
    transform: translateY(-50%);
    box-shadow: 5px 5px 20px rgba(0, 0, 0, 0.1);
}

.input__group{
    flex: 1 1 220px;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 1rem;
}

.input__group span {
    font-size: 1.75rem;
    color: var(--cta);
}

.input__group label {
    font-weight: 600;
    color: var(--text-dark);
}

.input__group input {
    display: block;
    width: 100%;
    max-width: 150px;
    padding-block: 5px;
    color: var(--text-dark);
    font-size: .9rem;
    outline: none;
    border: none;
}

.input__group input::placeholder {
    color: var(--text-light);
}

.about__container {
    overflow: hidden;
    display: grid;
    gap: 2rem;
}
.black {
    color: #0c0a09;
    font-weight: 600;
    font-style: bold;
}
.about__image img {
    max-width: 450px;
    margin: auto;
    border-radius: 5px;
    background: (to bottom, rgba(0, 0, 0, 0.6), rgba(0, 0, 0, 0));
}

.item__grid {
    margin-top: 4rem;
    display: grid;
    gap: 1rem;
}

.item__card {
    overflow: hidden;
    border-radius: 10px;
    box-shadow: 5px 5px 10px rgba(0, 0, 0, 0.1);
}

.item__card__image {
    position: relative;
    isolation: isolate;
}

.item__card__image img {
    width: 400px;
    height: 400px;
}

.item__card__icons {
    position: absolute;
    right: 1rem;
    bottom: 1rem;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: flex-end;
    flex-wrap: wrap;
    gap: 1rem;
    z-index: 1;
}

.item__card__icons span {
    display: inline-block;
    padding: 2px 8px;
    font-size: 1.5rem;
    background-color: var(--white);
    border-radius: 100%;
    box-shadow: 5px 5px 10px rgba(0, 0, 0, 0.2);
    cursor: pointer;
}

.item__card__icons span:nth-child(1){
    color: #f472b6;
}

.item__card__icons span:nth-child(2){
    color: #c084fc;
}

.item__card__icons span:nth-child(3){
    color: #60a5fa;
}

.item__card__details{
    padding: 1rem;
}

.item__card h4{
    margin-bottom: 0.5rem;
    font-size: 1.2rem;
    font-weight: 500;
    color: var(--text-dark);
}

.item__card p{
    margin-bottom: 0.5rem;
    color: var(--text-light);
}
 
.item__card h5{
    margin-bottom: 1rem;
    font-size: 1rem;
    font-weight: 500;
    color: var(--text-light);
}

.item__card h5 span{
    font-size: 1.1rem;
    color: var(--text-dark);
}


/* Slider wrapper */
.slider {
    position: relative;
    width: 400px;
    height: 400px;
    overflow: hidden;
}

.slider__images {
    display: flex;
    animation: slide 6s infinite;
}

.slider__images img {
    object-fit: cover;
    flex-shrink: 0;
}

/* Keyframes for sliding effect */
@keyframes slide {
    0% { transform: translateX(0); }
    25% { transform: translateX(0); }
    50% { transform: translateX(-100%); }
    75% { transform: translateX(-100%); }
    100% { transform: translateX(0); }
}


.service{
    background-image: url("./img bounce/SEP-6.jpg");
    background-position: center center;
    background-size: cover;
    background-repeat: no-repeat;
}

.service__container {
    padding-block: 0;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
}

.service__content {
    grid-column: 1/3;
    padding: 2rem 4rem;
    background-color: var(--white);
}

.service__list {
    list-style: none;
    margin-top: 2rem;
    display: grid;
    gap: 2rem;
}

.service__list li {
    display: flex;
    align-items: center;
    gap: 1rem;
    font-size: 1.2rem;
    font-weight: 500;
    color: var(--text-dark);
}

.service__list span{
    padding: 5px 12px;
    font-size: 1.75rem;
    color: var(--text-dark);
    background-color: var(--text-light);
    border-radius: 100%;
}

.service__list li:nth-child(1) span {
    color: #60a5fa;
    background-color: #dbeafe;
}

.service__list li:nth-child(2) span {
    color: #f472b6;
    background-color: #fce7f3;
  }
  
  .service__list li:nth-child(3) span {
    color: #c084fc;
    background-color: #f3e8ff;
  }
  
  .service__list li:nth-child(4) span {
    color: #fb7185;
    background-color: #ffe4e6;
  }

.banner__content {
    padding: 2rem;
    display: flex;
    gap: 2rem;
    align-items: center;
    justify-content: space-evenly;
    flex-wrap: wrap;
    border-radius: 10px;
    background: #2d2d2e;
    box-shadow: 5px 5px 20px rgba(0, 0, 0, 0.1);
}
.banner__card {
    text-align: center;
    flex: 1 1 180px;
}

.banner__card h4 {
    font-size: 2rem;
    font-weight: 600;
    color: var(--white);
}

.banner__card p {
    color: var(--text-lighter);
}

.explore :is(.section__subheader, .section__header){
    text-align: center;
    margin-inline: auto;
}


.explore__bg {
    margin-top: 4rem;
    padding-block: 3rem;
    display: grid;
    grid-template-columns: 
     minmax(1rem, 1fr)
     minmax(0, var(--max-width))
     minmax(1rem, 1fr);
    background-image: url("./img bounce/first\ use.jpg");
    background-position: center center;
    background-size: cover;
    background-repeat: no-repeat;
}

.explore__content{
    grid-column: 2/3;
    max-width: 400px;
    padding: 2rem;
    background-color: var(--white);
    border-radius: 5px;
    box-shadow: 5px 5px 10px rgba(0, 0, 0, 0.2);
}

.explore__content p {
    margin-bottom: 0.5rem;
  }

.explore__content h4 {
    margin-bottom: 1rem;
    font-size: 1.2rem;
    font-weight: 600;
    line-height: 1.5rem;
    color: var(--text-dark);
}

.explore__content .btn {
    color: var(--primary-color);
    background-color: var(--white);
    border: 1px solid var(--primary-color);
}

.explore__content .btn:hover {
    color: var(--white);
    background-color: var(--primary-color);
}
/*Frequently asked question*/
.questions {
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    padding: 30px;
}

.section__header {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
}

.faq {
    margin-top: 2rem;
    padding-bottom: 1rem;
    border-bottom: 2px solid var(--primary-color);
    cursor: pointer;
}

.faq:last-child {
    border-bottom: none;
}

.question{
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.question span {
    gap: 1rem;
    font-size: 1.4rem;
    font-weight: 500;
    color: var(--text-dark);
}

.answer{
    max-height: 0;
    overflow: hidden;
}

.answer p {
    padding-top: 1rem;
    line-height: 1.6;
    font-size: 1rem;
}

.faq.active .answer {
    max-height: 380px;
    animation: fade 1s ease-in-out;
}

.faq.active.svg {
    transform: rotate(180deg);
}

.faq > svg {
    transition: transform 0.5s ease-in;
}


.text-ng-primary {
    --tw-text-opacity: 1;
    color: var(--primary-color-dark);
    text-decoration: underline;
    padding-top: 20px;
}

.text-lg {
    font-size: 1.125rem;
    line-height: 1.75rem;
}
@keyframes fade {
    from {
        opacity: 0;
        transform: translateY(-10px);
    }
}


.title {
    font-size: 3rem;
    margin: 2rem 0 rem;
}


.footer{
    background-color: var(--text-dark);
}

.footer__container{
    display: grid;
    gap: 4rem 2rem;
}

.footer__col .section__description {
    margin-block: 2rem;
}

.footer__col h4{
    margin-bottom: 2rem;
    font-size: 1.2rem;
    font-weight: 500;
    color: var(--white);
}

.footer__links {
    list-style: none;
    display: grid;
    gap: 1rem;
}

.footer__links a {
    color: var(--text-light);
}

.footer__links a:hover {
    color: var(--white);
}

.footer__socials {
    margin-top: 2rem;
    display: flex;
    align-items: center;
    gap: 1rem;
    flex-wrap: wrap;
}

.footer__socials img {
    max-width: 35px;
    opacity: .8;
    transition: .3s;
}

.footer__socials img:hover {
    opacity: 1;
}

.footer__bar {
    padding: 1rem;
    font-size: .9rem;
    color: var(--text-light);
    text-align: center;
}
.footer__links img {
    max-width: 35px;
    opacity: .8;
}

.phone-link {
    display: flex;
    align-items: center;
}

.call-icon {
    margin-right: 2px;
}


@media (width > 576px) {
    .item__grid {
        grid-template-columns: repeat(2, 1fr);
}
    .footer__container{
        grid-template-columns: repeat(2, 1fr);
    }

}
@media (width > 768px) {
    nav{
        padding: 2rem 1rem;
        position: static;
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    .nav__bar{
        padding: 0;
        background-color: transparent;
    }

    .nav__menu__btn {
        display: none;
    }

    .nav__links {
        padding: 0;
        width: unset;
        position: static;
        transform: none;
        flex-direction: row;
        background-color: transparent;
    }

    .nav__btn {
        display: block;
    }

    .nav__links a::after {
        position: absolute;
        content: "";
        left: 0;
        bottom: 0;
        height: 2px;
        width: 0;
        background-color: var(--primary-color);
        transition: .3s;
        transform-origin: left;

    }

    .nav__links a:hover::after {
        width: 100%;
    }

    .about__container {
        grid-template-columns: repeat(2, 1fr);
        align-items: center;
    }
    .item__grid {
        grid-template-columns: repeat(3, 1fr);
 } 
 .service__content {
    grid-column: 2/3;
 }

 .questions {
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    width: 100%;
}

.section__header {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%; /* Ensure it takes the full width of the parent container */
    max-width: none; 
}

.faq {
    margin-top: 2rem;
    padding-bottom: 1rem;
    border-bottom: 2px solid var(--primary-color);
    cursor: pointer;
}

 .footer__container {
    grid-template-columns: repeat(4, 1fr);
 }
 .item__card__image img {
    width: 100%;
    height: 100%;
}

}

@media (width > 1024px) {
    .item__grid {
        gap: 2rem;
    }
}
